# template: default
%global gem_name rbvmomi2

Name: rubygem-%{gem_name}
Version: 3.7.1
Release: 1%{?dist}
Summary: Ruby interface to the VMware vSphere API
License: MIT
URL: https://github.com/ManageIQ/rbvmomi2
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.4.1
BuildRequires: ruby >= 2.4.1
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

Obsoletes: rubygem-rbvmomi < 2.4.1-2

%description
Ruby interface to the VMware vSphere API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%files
%dir %{gem_instdir}
%{_bindir}/rbvmomish
%license %{gem_instdir}/LICENSE
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/vmodl.db
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Sun Apr 14 2024 Foreman Packaging Automation <packaging@theforeman.org> - 3.7.1-1
- Update to 3.7.1

* Sun Oct 01 2023 Foreman Packaging Automation <packaging@theforeman.org> 3.7.0-1
- Update to 3.7.0

* Tue May 16 2023 Foreman Packaging Automation <packaging@theforeman.org> 3.6.1-1
- Update to 3.6.1

* Fri Jan 27 2023 Evgeni Golov - 3.6.0-2
- Obsolete rubygem-rbvmomi

* Mon Jan 23 2023 Chris Roberts <chrobert@redhat.com> 3.6.0-1
- Add rubygem-rbvmomi2 generated by gem2rpm using the default template

